
Redmine - Defect #1872

Wiki link syntax commit:"" doesn't work

2008-09-08 18:31 - Simone Carletti

Status: Closed Start date: 2008-09-08

Priority: Normal Due date:  
Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The wiki syntax commit: used to link hash-named changesets doesn't work.

Here's an example: http://code.simonecarletti.com/issues/show/23

It seems I'm not the only one affected by this issue:

http://www.redmine.org/boards/1/topics/show/2182

Associated revisions

Revision 1803 - 2008-09-13 11:45 - Jean-Philippe Lang

Removes double quotes in commit link syntax (#1872).

Revision 1839 - 2008-09-14 17:33 - Nicolas Chuche

r18539@gaspard (orig r1803):  jplang | 2008-09-13 11:45:07 +0200

Removes double quotes in commit link syntax (#1872).

History

#1 - 2008-09-08 22:09 - Nicolas Chuche

Could you try these request :

SELECT `changesets`.* FROM `changesets` INNER JOIN repositories ON changesets.repository_id = repositories.id 

where scmid LIKE '721035552c81cbe3fd9ab91ae0d4820463be465d';

#2 - 2008-09-08 22:30 - Simone Carletti

Nicolas Chuche wrote:

Could you try these request :

[...]

 It returns 1 record, as expected.

#3 - 2008-09-09 20:24 - Nicolas Chuche

Could you put information

- Ruby implementation and version

- Rails version (rails --version)

- Operating system (precise if you're using cygwin when running on Windows)

- Database used, and its version

And output of script/about please.

#4 - 2008-09-09 21:27 - Simone Carletti

Simone Carletti wrote:

The wiki syntax commit: used to link hash-named changesets doesn't work.

Here's an example: http://code.simonecarletti.com/issues/show/23

It seems I'm not the only one affected by this issue:

http://www.redmine.org/boards/1/topics/show/2182
 Unfortunately I can't provide details about script/about.

Because my GEM repository includes also Rails 2.1 and 2.1.1, Redmine 0.7.3 has a really odd bug that prevents any rake task to be run.

Each time I try to run a rake task, it returns

Your config/boot.rb is outdated: Run "rake rails:update".

 It seems to be a quite common issue

http://www.redmine.org/boards/1/topics/show/1187

Anyway, here's the information you requested:

- Ruby 1.8.5 (2006-08-25) [i386-linux] on Debian Etch

- Rails 2.0.2

- mysql  Ver 14.12 Distrib 5.0.16, for pc-linux-gnu (i386) using readline 5.0

I don't have plugin engine installed.

Redmine version is 4.x (but it didn't work with 3.x as well).

#5 - 2008-09-09 22:28 - Nicolas Chuche

Because my GEM repository includes also Rails 2.1 and 2.1.1, Redmine 0.7.3 has a really odd bug that prevents any rake task to be

 [...]

Redmine version is 4.x (but it didn't work with 3.x as well).

 You speak about Redmine 0.7.3 then 4.x then 3.x. 0.7.3 is the one you use ?

#6 - 2008-09-09 22:54 - Nicolas Chuche

Can't reproduce the bug here :-(.

Could you try in development mode and look at the log ?

What does

  grep -r 'INNER JOIN repositories ON changesets.repository_id' log 

#7 - 2008-09-10 00:11 - Simone Carletti

Nicolas Chuche wrote:

Because my GEM repository includes also Rails 2.1 and 2.1.1, Redmine 0.7.3 has a really odd bug that prevents any rake task to be

 [...]

Redmine version is 4.x (but it didn't work with 3.x as well).

 You speak about Redmine 0.7.3 then 4.x then 3.x. 0.7.3 is the one you use ?

 I'm sorry, I was talking about RedCloth 4.x and 3.x.

#8 - 2008-09-10 01:00 - Nicolas Chuche

I'm sorry, I was talking about RedCloth 4.x and 3.x.

 This transformation isn't done in RedCloth but in the application_helper.rb in the textilizable function around line 387. I can't see any bug in the

regexp.

#9 - 2008-09-10 17:28 - Simone Carletti

Nicolas Chuche wrote:
I'm sorry, I was talking about RedCloth 4.x and 3.x.

 This transformation isn't done in RedCloth but in the application_helper.rb in the textilizable function around line 387. I can't see any bug in the

regexp.

 Thanks Nicolas for pointing out the application_helper.

I investigated the issue and I probably found the problem.

In my code I was using the following syntax

commit:"721035552c81cbe3fd9ab91ae0d4820463be465d" 

 instead of

commit:721035552c81cbe3fd9ab91ae0d4820463be465d

 (notice the double quotes).

If you give a look at the help page http://www.redmine.org/help/wiki_syntax.html, it gives instructions to use quotes.

At this point, I guess the documentation should be fixed to prevent further confusion.

#10 - 2008-09-13 11:30 - Jean-Philippe Lang

- Status changed from New to Closed

Both syntaxes (with and without double quotes) are supported and work for me using current trunk.

But I've changed the help since the double quotes are useless in this case.

Please reopen if you have any further information about why it doesn't work with double quotes on your install.
